<?php
 $id=$_REQUEST['idd'];
     $m=$_REQUEST['m'];
    $module= "inventory bahan baku";
    $objAxpDB->ViewName("Daftar laporan $module");  
    $objAxpDB->ViewSQL("SELECT fnid,  ftreport_name FROM tlreport WHERE ftreport_group = 'inventory' order by ftreport_code");
    $objAxpDB->ViewCaption("ID, Nama laporan");
    
    $objAxpDB->FormName(" laporan $module :: Cetakan");
    $objAxpDB->FormSQL("SELECT ftreport_name, $id as id,'$m' as form
                      FROM tlreport");
    $objAxpDB->FormCaption("Nama laporan");
    $objAxpDB->FormPosition("HD,HD,HD");
   
    $js="document.getElementById('iframe_laporan').style.display='';document.getElementById('iframe_laporan').src='".str_replace(" ","_",$module).".print.php?form=$m&id=$id';";
    if($id) {
          $objAxpDB->FormJS("$js");
    }
    
    $objAxpDB->Process();
    if(!$_REQUEST['id']) {       
        $objAxpDB->WriteHtmlTable();
    }
    else {
         $objAxpDB->FormName("laporan $n".$report_name);
         $objAxpDB->ButtonShow("generate_report, print_report");
        $objAxpDB->reportData();
    }